## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate parsec-interface

Name:           rust-parsec-interface
Version:        0.29.1
Release:        %autorelease
Summary:        Parsec interface library to communicate using the wire protocol

License:        Apache-2.0
URL:            https://crates.io/crates/parsec-interface
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump prost dependency from 0.9 to 0.12
Patch:          parsec-interface-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Parsec interface library to communicate using the wire protocol.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/parsec-operations/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arbitrary-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arbitrary-devel %{_description}

This package contains library source intended for building other packages which
use the "arbitrary" feature of the "%{crate}" crate.

%files       -n %{name}+arbitrary-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fuzz-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fuzz-devel %{_description}

This package contains library source intended for building other packages which
use the "fuzz" feature of the "%{crate}" crate.

%files       -n %{name}+fuzz-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+prost-build-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+prost-build-devel %{_description}

This package contains library source intended for building other packages which
use the "prost-build" feature of the "%{crate}" crate.

%files       -n %{name}+prost-build-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regenerate-protobuf-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regenerate-protobuf-devel %{_description}

This package contains library source intended for building other packages which
use the "regenerate-protobuf" feature of the "%{crate}" crate.

%files       -n %{name}+regenerate-protobuf-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+testing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+testing-devel %{_description}

This package contains library source intended for building other packages which
use the "testing" feature of the "%{crate}" crate.

%files       -n %{name}+testing-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.29.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Mar 13 2024 Peter Robinson <pbrobinson@gmail.com> - 0.29.1-2
- Rebuild for prost

* Tue Jan 23 2024 Peter Robinson <pbrobinson@gmail.com> - 0.29.1-1
- Update to 0.29.1

* Sun Aug 06 2023 Peter Robinson <pbrobinson@gmail.com> - 0.28.0-1
- Update to 0.28.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Mar 20 2023 Fabio Valentini <decathorpe@gmail.com> - 0.27.0-6
- Regenerate with rust2rpm v24; simplify packaging

* Mon Feb 20 2023 Peter Robinson <pbrobinson@gmail.com> - 0.27.0-5
- Update for secrecy 0.8

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Sep 27 2022 Peter Robinson <pbrobinson@gmail.com> - 0.27.0-3
- Fix crate_instdir

* Wed Sep 14 2022 Peter Robinson <pbrobinson@gmail.com> - 0.27.0-2
- drop old patch

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Feb 20 2022 Peter Robinson <pbrobinson@fedoraproject.org> - 0.26.0-1
- Update to 0.26.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Aug 07 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 0.25.0-1
- Update to 0.25.0

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.0-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Mar 19 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 0.24.0-1
- Update to 0.24.0

* Mon Feb 15 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 0.23.0-1
- Update to 0.23.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Oct 21 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 0.21.0-1
- Update to 0.21.0

* Wed Sep 16 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 0.20.2-3
- Another system protobuf fix

* Wed Sep 09 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 0.20.2-2
- Fixes for system protobuf

* Tue Sep 08 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 0.20.2-1
- Update to 0.20.2

* Tue Aug 25 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 0.20.1-1
- Update to 0.20.1

* Tue Aug 25 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 0.19.0-3
- Review and build fixes

* Mon Aug 17 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 0.19.0-2
- Fixup build issues

* Mon Aug 17 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 0.19.0-1
- Initial package

## END: Generated by rpmautospec
